Bug 1207591 - (andrewsville/php-token-reflection) Review Request: php-andrewsville-php-token-reflection - Library emulating the PHP internal reflection
Review Request: php-andrewsville-php-token-reflection - Library emulating the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: bartlett/umlwriter
  Show dependency treegraph
 
Reported: 2015-03-31 05:19 EDT by Remi Collet
Modified: 2015-06-10 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-andrewsville-php-token-reflection-1.4.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-04 16:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (6.33 KB, text/plain)
2015-05-21 10:22 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (54.50 KB, text/plain)
2015-05-21 10:23 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-03-31 05:19:59 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/393d8bf1eb29051a892638204474ac4aa4d11b5f/php/php-andrewsville-php-token-reflection/php-andrewsville-php-token-reflection.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-andrewsville-php-token-reflection-1.4.0-1.remi.src.rpm
Description: 
This library emulates the PHP reflection model using the tokenized PHP source.

Fedora Account System Username: remi

-- 

Optional dependency of php-bartlett-umlwriter
As usually, I will clean the EL-5 stuff after import.
Comment 1 Shawn Iwinski 2015-05-02 12:46:50 EDT
Please include mksrc.sh as a source so it gets included in the srpm :)
Comment 3 Shawn Iwinski 2015-05-21 10:22:51 EDT
Created attachment 1028214 [details]
fedora-review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1207591
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-05-21 10:23:33 EDT
Created attachment 1028215 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3
Comment 5 Shawn Iwinski 2015-05-21 10:24:49 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.



===== APPROVED =====
Comment 6 Remi Collet 2015-05-21 10:49:17 EDT
Thanks for the review !

New Package SCM Request
=======================
Package Name: php-andrewsville-php-token-reflection
Short Description: Library emulating the PHP internal reflection
Upstream URL: https://github.com/andrewsville/php-token-reflection
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2015-05-21 15:02:09 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-05-22 01:46:01 EDT
php-andrewsville-php-token-reflection-1.4.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-andrewsville-php-token-reflection-1.4.0-2.fc21
Comment 9 Fedora Update System 2015-05-22 01:47:11 EDT
php-andrewsville-php-token-reflection-1.4.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-andrewsville-php-token-reflection-1.4.0-2.el7
Comment 10 Fedora Update System 2015-05-22 01:47:19 EDT
php-andrewsville-php-token-reflection-1.4.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-andrewsville-php-token-reflection-1.4.0-2.fc22
Comment 11 Fedora Update System 2015-05-25 23:18:18 EDT
php-andrewsville-php-token-reflection-1.4.0-2.fc22 has been pushed to the Fedora 22 testing repository.
Comment 12 Fedora Update System 2015-06-04 16:13:10 EDT
php-andrewsville-php-token-reflection-1.4.0-2.fc22 has been pushed to the Fedora 22 stable repository.
Comment 13 Fedora Update System 2015-06-04 16:16:16 EDT
php-andrewsville-php-token-reflection-1.4.0-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 14 Fedora Update System 2015-06-10 15:18:34 EDT
php-andrewsville-php-token-reflection-1.4.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.